Jupiter - Zadanie #1807
Filtrowaé wiadomosci o zmianie dokumentu per uzytkownik
2017-08-21 08:52 - Wojtek Hury

Status: Odrzucony Start date: 2017-05-11
Priority: Normalny Due date: 2017-05-11
Assignee: Michat Komar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.3

Developer: Tester:

Description

W ramach #1708 powstat mechanizm rejestrowania docelowych kolejek/aspektéw wiadomosci per uzytkownik. Kazdy uzytkownik
rejestruje sie teraz do kolejki z wiadomosciami o zmienionych dokumentach z trywialnym predykatem zawsze zwracajgcym true, co

skutkuje brakiem filtrowania wiadomosci i uzytkownik moze dostawac informacje o zmianach w dokumentach, do kt6rych nie ma

dostepu. Trzeba doda¢ w momencie rejestracji kolejki dla uzytkownika predykat sprawdzajacy, czy uzytkownik ma dostep do

zmienionego dokumentu.

Related issues:
Follows Jupiter - Zadanie # 1708: Rejestracja uzytkownikéw jako odbiorcéw wia...

Zamkniety 2017-05-10 2017-05-10

Associated revisions

Revision 3582a631 - 2017-08-24 10:10 - Wojtek Hury

refs #1807 refaktoring DocumentAuthorizationService

Revision 2a4397a9 - 2017-08-24 12:33 - Wojtek Hury

refs #1807 HierarchyServicelmpl.self jest autowired

Revision a3565053 - 2017-08-24 12:42 - Wojtek Hury

refs #1807 DocumentAuthorizationService nie rzuca AccessDeniedException

History

#1 - 2017-08-21 08:56 - Wojtek Hury

- Follows Zadanie #1708: Rejestracja uzytkownikow jako odbiorcow wiadomosci added
#2 - 2017-08-24 10:09 - Wojtek Hury
- Status changed from Nowy to W toku

- Assignee set to Wojtek Hury

#3 - 2017-09-13 09:48 - Michat Komar

- Assignee changed from Wojtek Hury to Michat Komar

#4 - 2017-10-02 09:25 - Michat Komar

- Status changed from W toku to Odrzucony
#5 - 2017-10-02 09:25 - Michat Komar
- Target version set to 0.3
